path: /build/build/rav1e-media-video-0.7.1.package.tar.zst
dependencies: []
compilespec:
  steps: []
  env: []
  prelude:
  - |-
    export FEATURES="-sandbox -usersandbox -ipc-sandbox -pid-sandbox -network-sandbox" && \
    export JOBS=3 && \
    eval 'mkdir -p /var/cache/portage/distfiles || true' && \
    chown portage:portage -R /var/cache/portage/ && \
    USE="amd64 capi" emerge media-video/rav1e -pv -t && \
    USE="amd64 capi" emerge -j ${JOBS} --nodeps media-video/rav1e
  - export LUET_PORTAGE_CACHE_PACKAGES="/var/cache/portage/packages" && export LUET_PORTAGE_IGNORE_TAR_WARNING=1
    && export LUET_PORTAGE_PKGMETA=1 && export LUET_PORTAGE_PKGFILES=1 && eval 'rm
    -rf /pkgdir/ || true' && mkdir -p /pkgdir/rav1e && luet-portage --dir /pkgdir/rav1e
    media-video/rav1e && eval 'rm -v /var/cache/distfiles/* ${LUET_PORTAGE_CACHE_PACKAGES}/*
    || true'
  image: ""
  seed: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree:4fc1733e7115164c2f4b9d5e8ce47cad7c606db3c5786f765bcfd2b5ce699659
  package:
    name: rav1e
    version: 0.7.1
    category: media-video
    use_flags:
    - amd64
    - capi
    requires:
    - name: cargo-c
      version: '>=0'
      category: dev-util
    annotations:
      subsets:
        rules:
          devel:
          - ^/usr/include/
          portage:
          - ^/var/db/pkg/
    description: The fastest and safest AV1 encoder
    uri:
    - https://github.com/xiph/rav1e
    license: BSD-2 Apache-2.0 MIT Unlicense
    buildtimestamp: 2024-02-07 01:12:10.698194467 +0000 UTC m=+1210.830131986
    labels:
      BDEPEND: amd64? ( >=dev-lang/nasm-2.15 ) capi? ( dev-util/cargo-c ) >=virtual/rust-1.37.0
      IUSE: +capi debug
      emerge.packages: media-video/rav1e
      kit: media-kit
      original.package.name: media-video/rav1e
      original.package.slot: "0"
      original.package.version: 0.7.1
    treedir: /build/packages
  package_dir: /pkgdir/rav1e
  retrieve: []
  unpack: false
  includes: []
  excludes:
  - ^/var/cache/portage/
  - ^/var/git/
  build_options:
    pushimagerepository: docker-registry1.mottainai.local:5000/luet-macaroni-funtoo-dev-tree
    pullimagerepository:
    - luet/cache
    pullfirst: false
    keepimg: false
    push: false
    concurrency: 0
    compressiontype: ""
    wait: false
    onlydeps: false
    nodeps: false
    solveroptions: {}
    buildvaluesfile: []
    buildvalues:
    - arch: amd64
      commons-repo: macaroni-commons-dev
    packagetargetonly: false
    rebuild: false
    backendargs: []
    backendtype: ""
    templatesfolder: []
  copy: []
  requires_final_images: false
checksums:
  sha256: 2b040712c5a4abd7add7f994f4909d8dddb35b4a02b611aa5960d07208abb5a0
compressiontype: zstd
files:
- usr/bin/rav1e
- usr/include/rav1e/rav1e.h
- usr/lib64/librav1e.a
- usr/lib64/librav1e.so
- usr/lib64/librav1e.so.0.7
- usr/lib64/librav1e.so.0.7.1
- usr/lib64/pkgconfig/rav1e.pc
- var/db/pkg/media-video/rav1e-0.7.1/BDEPEND
- var/db/pkg/media-video/rav1e-0.7.1/BUILD_TIME
- var/db/pkg/media-video/rav1e-0.7.1/CATEGORY
- var/db/pkg/media-video/rav1e-0.7.1/CBUILD
- var/db/pkg/media-video/rav1e-0.7.1/CFLAGS
- var/db/pkg/media-video/rav1e-0.7.1/CHOST
- var/db/pkg/media-video/rav1e-0.7.1/CONTENTS
- var/db/pkg/media-video/rav1e-0.7.1/COUNTER
- var/db/pkg/media-video/rav1e-0.7.1/CXXFLAGS
- var/db/pkg/media-video/rav1e-0.7.1/DEFINED_PHASES
- var/db/pkg/media-video/rav1e-0.7.1/DESCRIPTION
- var/db/pkg/media-video/rav1e-0.7.1/EAPI
- var/db/pkg/media-video/rav1e-0.7.1/FEATURES
- var/db/pkg/media-video/rav1e-0.7.1/HOMEPAGE
- var/db/pkg/media-video/rav1e-0.7.1/INHERITED
- var/db/pkg/media-video/rav1e-0.7.1/IUSE
- var/db/pkg/media-video/rav1e-0.7.1/IUSE_EFFECTIVE
- var/db/pkg/media-video/rav1e-0.7.1/KEYWORDS
- var/db/pkg/media-video/rav1e-0.7.1/LDFLAGS
- var/db/pkg/media-video/rav1e-0.7.1/LICENSE
- var/db/pkg/media-video/rav1e-0.7.1/NEEDED
- var/db/pkg/media-video/rav1e-0.7.1/PF
- var/db/pkg/media-video/rav1e-0.7.1/PROVIDES
- var/db/pkg/media-video/rav1e-0.7.1/REQUIRES
- var/db/pkg/media-video/rav1e-0.7.1/SIZE
- var/db/pkg/media-video/rav1e-0.7.1/SLOT
- var/db/pkg/media-video/rav1e-0.7.1/USE
- var/db/pkg/media-video/rav1e-0.7.1/environment.bz2
- var/db/pkg/media-video/rav1e-0.7.1/rav1e-0.7.1.ebuild
- var/db/pkg/media-video/rav1e-0.7.1/repository
package_cacheimage: ""
runtime:
  name: rav1e
  version: 0.7.1
  category: media-video
  use_flags:
  - amd64
  - capi
  annotations:
    subsets:
      rules:
        devel:
        - ^/usr/include/
        portage:
        - ^/var/db/pkg/
  description: The fastest and safest AV1 encoder
  uri:
  - https://github.com/xiph/rav1e
  license: BSD-2 Apache-2.0 MIT Unlicense
  labels:
    BDEPEND: amd64? ( >=dev-lang/nasm-2.15 ) capi? ( dev-util/cargo-c ) >=virtual/rust-1.37.0
    IUSE: +capi debug
    emerge.packages: media-video/rav1e
    kit: media-kit
    original.package.name: media-video/rav1e
    original.package.slot: "0"
    original.package.version: 0.7.1
